<?php

/*
 * LMS version 1.10.5 Neith
 *
 *  (C) Copyright 2001-2008 LMS Developers
 *
 *  Please, see the doc/AUTHORS for more information about authors!
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 *
 *  $Id: engine.php,v 1.7.2.2 2008/01/04 07:57:37 alec Exp $
 */
 
$cid = $document['customerid'];

$customerinfo = $LMS->GetCustomer($cid);
$assignments = $LMS->GetCustomerAssignments($cid);
$customernodes = $LMS->GetCustomerNodes($cid);
$tariffs = $LMS->GetTariffs();

if(!function_exists('GetCustomerBalanceList')){
  	function GetCustomerBalanceList($id, $totime=NULL, $direction='ASC')
	{
		global $DB;
		($direction == 'ASC' || $direction == 'asc') ? $direction == 'ASC' : $direction == 'DESC';

		$saldolist = array();

		if($tslist = $DB->GetAll('SELECT cash.id AS id, time, cash.type AS type, 
					CASE docid WHEN 0 THEN
						cash.value 
					ELSE
						SUM(cash.value)
					END AS value, taxes.label AS tax, cash.customerid AS customerid,
					comment, docid, users.name AS username,
					documents.type AS doctype, documents.closed AS closed, documents.number AS number, numberplans.template AS template
					FROM cash
					LEFT JOIN users ON users.id = cash.userid
					LEFT JOIN documents ON documents.id = docid
					LEFT JOIN numberplans ON numberplans.id = documents.numberplanid
					LEFT JOIN taxes ON cash.taxid = taxes.id
					WHERE cash.customerid = ?'
					.($totime ? ' AND time <= '.intval($totime) : '')
					.' GROUP BY (CASE docid WHEN 0 THEN cash.id ELSE docid END)
					ORDER BY time ' . $direction, array($id)))
		{
			$saldolist['balance'] = 0;
			$saldolist['total'] = 0;
			$i = 0;
			foreach($tslist as $row)
			{
				// old format wrapper
				foreach($row as $column => $value)
					$saldolist[$column][$i] = $value;

				$saldolist['after'][$i] = round($saldolist['balance'] + $row['value'], 2);
				$saldolist['balance'] += $row['value'];
				$saldolist['date'][$i] = date('Y/m/d', $row['time']);
				$saldolist['comment'][$i] = docnumber($row['number'], $row['template'], $row['time']);
				$i++;
			}
			$saldolist['total'] = sizeof($tslist);
		}
		$saldolist['customerid'] = $id;
		return $saldolist;
	}
}
 
$cid = $document['customerid'];
$customerinfo = $LMS->GetCustomer($cid);
$customerpayments = GetCustomerBalanceList($cid);
$customerbalance = $LMS->GetCustomerBalance($cid);

$imie['odmiana'] = $DB->GetOne('SELECT odmiana FROM imiona WHERE imie=?', array($customerinfo['name']));
$imie['plec'] = $DB->GetOne('SELECT plec FROM imiona WHERE imie=?', array($customerinfo['name']));

$SMARTY->assign('limit',50);
$SMARTY->assign(
		array(
			'customerpayments' => $customerpayments,
			'customerbalance' => $customerbalance,
			'customerinfo' => $customerinfo,
			'assignments' => $assignments,
			'document' => $document,
			'imie' => $imie,
			'engine' => $engine,
		     )
		);

$output = $SMARTY->fetch(DOC_DIR.'/templates/'.$engine['name'].'/'.$engine['template']);

?>
